version: '3.3'

services:
  # redis
  redis:
    image: bitnami/redis:latest
    environment:
      - ALLOW_EMPTY_PASSWORD=yes
    ports:
      - "6379:6379"
  # celery service
  celerysrv:
    build:
      context: ./
      dockerfile: ./DockerfileForCelery
    image: registry.gitlab.com/european-language-grid/ilsp/platform/celeryworker:${CELERY_TAG}
    environment:
      - CELERY_BROKER_URL=redis://redis:6379
      - CELERY_RESULT_BACKEND=redis://redis:6379/0
